Bug 42203 - Content-Length in type maps doesn't work
Summary: Content-Length in type maps doesn't work
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_negotiation (show other bugs)
Version: 2.2.3
Hardware: PC Linux
: P2 minor (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2007-04-23 14:38 UTC by Daniel Koukola
Modified: 2012-02-26 16:44 UTC (History)
1 user (show)



Attachments
patch to mod_negotiation.c (1.52 KB, patch)
2011-07-16 16:15 UTC, Nagae Hidetake
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Koukola 2007-04-23 14:38:30 UTC
I upgraded my Apache to 2.2.3 and it's no longer possible to specify a Content-
Length in type maps. Doing so results in error messages like this one: “Parse 
error in type map, Content-Length: '1207\n' in … is invalid.”
Comment 1 Nagae Hidetake 2011-07-16 16:15:01 UTC
Created attachment 27292 [details]
patch to mod_negotiation.c

This problem is not fixed in httpd-2.2.19.
I think we need strip trailing whitespaces and a newline from the body.
Comment 2 Stefan Fritsch 2011-07-17 08:52:51 UTC
Committed to trunk in r1147557, thanks.
Comment 3 Stefan Fritsch 2012-02-26 16:44:10 UTC
fixed in 2.4.1